CS::DocSystem::Implementation::FilterDocumentNodeIterator< T > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::DocSystem::Implementation::FilterDocumentNodeIterator< T > Class Template Reference

Filtering iDocumentNodeIterator. More...

`#include <csutil/documenthelper.h>`

Inheritance diagram for CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >:

List of all members.

## Public Member Functions
virtual size_t | GetEndPosition ()
| Return the index of the "end" position (the position that is taken after no more elements are available).
virtual size_t | GetNextPosition ()
| Get an index of the next node.
virtual bool | HasNext ()
| Are there more elements?
virtual csRef< iDocumentNode > | Next ()
| Get next element.

## Detailed Description

### template<class T>
class CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >

Filtering iDocumentNodeIterator.

Filters another iterator with a functor.

Definition at line 46 of file documenthelper.h.

## Member Function Documentation

template<class T>

virtual size_t CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >::GetEndPosition | ( |  | ) | `[inline, virtual]`

Return the index of the "end" position (the position that is taken after no more elements are available).

Implements iDocumentNodeIterator.

Definition at line 81 of file documenthelper.h.

template<class T>

virtual size_t CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >::GetNextPosition | ( |  | ) | `[inline, virtual]`

Get an index of the next node.

Implements iDocumentNodeIterator.

Definition at line 73 of file documenthelper.h.

template<class T>

virtual bool CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >::HasNext | ( |  | ) | `[inline, virtual]`

Are there more elements?

Implements iDocumentNodeIterator.

Definition at line 60 of file documenthelper.h.

template<class T>

virtual csRef<iDocumentNode> CS::DocSystem::Implementation::FilterDocumentNodeIterator< T >::Next | ( |  | ) | `[inline, virtual]`

Get next element.

Implements iDocumentNodeIterator.

Definition at line 66 of file documenthelper.h.

The documentation for this class was generated from the following file:

- csutil/documenthelper.h